View Issue Details

IDProjectCategoryView StatusLast Update
0000150Bacula-Webbug-phppublic2014-12-24 10:32
ReporterdavideAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version7.0.1 
Target Version7.0.2Fixed in Version7.0.2 
Summary0000150: Improve check of $_GET value for joblogs.php
Description$_GET value check must be improved in joblogs.php.

 - check if the provided value is an integer
 - stop the script if not and display a warning "The job id you provied doesn't exist or is invalid"
Steps To ReproduceTrying the url below doesn't raise an exception and/or display a warning like "The job id you provied doesn't exist or is invalid"

http://server/bacula-web/joblogs.php?jobid=foobar

A "nice to have" would be a "redirect" to an exception page or at least, just display a message meaning that something went wrong in the app
TagsNo tags attached.

Activities

davide

2014-12-24 10:32

manager   ~0000435

Bug fixed in release 7.0.2

Issue History

Date Modified Username Field Change
2014-11-25 11:08 davide New Issue
2014-12-09 16:00 davide Assigned To => davide
2014-12-09 16:00 davide Status new => assigned
2014-12-23 15:54 davide Product Version => 7.0.1
2014-12-23 15:54 davide Target Version => 7.0.2
2014-12-24 10:32 davide Note Added: 0000435
2014-12-24 10:32 davide Status assigned => resolved
2014-12-24 10:32 davide Fixed in Version => 7.0.2
2014-12-24 10:32 davide Resolution open => fixed